Ubuntu Download Manager: Ubuntu::DownloadManager::Error Class Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Public Types | Public Member Functions | Protected Member Functions | List of all members
Ubuntu::DownloadManager::Error Class Reference

The Error class is the base class that represents an error in the download manager API. More...

`#include <error.h>`

Inheritance diagram for Ubuntu::DownloadManager::Error:
Collaboration diagram for Ubuntu::DownloadManager::Error:

## Public Types
enum | Type { Auth, DBus, Http, Network, Process, Hash }

## Public Member Functions
virtual | ~Error ()
Type | type ()
virtual QString | errorString ()

## Protected Member Functions
| Error (Type type, QObject *parent=0)

## Detailed Description

The Error class is the base class that represents an error in the download manager API.

Since
  0.3

The Error class represents an error in the download manager and can be of a number of types. The API is designed so that the client only needs to listen to a single error signal and that can later downcast the error class to get more detailed information.

Definition at line 55 of file error.h.

## Member Enumeration Documentation

## ◆ Type

enum void Ubuntu::DownloadManager::Error::Type

Enumerator that represents the error type.

Returns the type of the error that was encountered.

Enumerator
Auth |
DBus | The error was due to a proxy or server authentication issue.
Http | The error was due to some problem when communicating with the dbus API.
Network | The error was due to a http error, for example a 404.
Process | The error was due to network problems such as a missing network interface.
Hash | The error was due to a problem when executing the post download command. The error was due to a problem when verifying the checksum of the download.

Definition at line 64 of file error.h.

## Constructor & Destructor Documentation

## ◆ ~Error()

Ubuntu::DownloadManager::Error::~Error | ( |  | ) |
| virtual

Disposes of this error and frees any resources associated with it.

Definition at line 278 of file error.cpp.

## ◆ Error()

Ubuntu::DownloadManager::Error::Error | ( | Error::Type | type,
|  | QObject * | parent = `0`
| ) |  |
| protected

Creates a new error of the given type and with the given parent.

Definition at line 273 of file error.cpp.

## Member Function Documentation

## ◆ errorString()

QString Ubuntu::DownloadManager::Error::errorString | ( |  | ) |
| virtual

Returns a string representation of the error.

Reimplemented in Ubuntu::DownloadManager::HashError, Ubuntu::DownloadManager::ProcessError, Ubuntu::DownloadManager::NetworkError, Ubuntu::DownloadManager::HttpError, and Ubuntu::DownloadManager::AuthError.

Definition at line 289 of file error.cpp.

## ◆ type()

Error::Type Ubuntu::DownloadManager::Error::type | ( |  | ) |

Definition at line 283 of file error.cpp.

The documentation for this class was generated from the following files:

- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.h
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.cpp